STOR 722099+peek(63732)+peek(63733)*256 to x
STOR int(x/365.26)+1 to y
STOR x+int(395.25-365.25*y) to d
IF int(y/4)*4=y
STOR 1 to d1
ELSE
STOR 2 to d1
ENDI
IF d>(91-d1)
STOR d+d1 to d
ENDI
STOR int(d/30.57) to m
STOR d-int(30.57*m) to d
IF m>12
STOR 1 to m
STOR y+1 to y
ENDI
STOR y-1900 to y
STOR str(m,2)+'/'+str(d,2)+'/'+str(y,2) to date
SET date to &date
STOR date() to holddate
STOR x+(int(-x/7)*7) to x
IF x=0
STOR 'Saturday, ' to today
ELSE
IF x=1
STOR 'Sunday, ' to today
ELSE
IF x=2
STOR 'Monday, ' to today
ELSE
IF x=3
STOR 'Tuesday, ' to today
ELSE
IF x=4
STOR 'Wednesday, ' to today
ELSE
IF x=5
STOR 'Thursday, ' to today
ELSE
STOR 'Friday, ' to today
ENDI 5
ENDI 4
ENDI 3
ENDI 2
ENDI 1
ENDI 0
IF m=1
STOR today+'January 'to today
ELSE
IF m=2
STOR today+'February ' to today
ELSE
IF m=3
STOR today+'March ' to today
ELSE
IF m=4
STOR today+'April ' to today
ELSE
IF m=5
STOR today+'May ' to today
ELSE
IF m=6
STOR today+'June ' to today 
ELSE
IF m=7
STOR today+'July ' to today
ELSE
IF m=8
STOR today+'August ' to today
ELSE
IF m=9
STOR today+'September ' to today
ELSE
IF m=10
STOR today+'October ' to today
ELSE
IF m=11
STOR today+'November ' to today
ELSE
STOR today+'December ' to today
ENDI 11
ENDI 10
ENDI 9
ENDI 8
ENDI 7
ENDI 6
ENDI 5
ENDI 4
ENDI 3
ENDI 2
ENDI 1
STOR today+str(d,2)+', 19'+str(y,2) to today
STOR peek(63734) to hour
STOR peek(63735) to min
STOR hour-6*int(hour/16) to hour
STOR min-6*int(min/16) to min
IF hour>12 .or. hour=12
STOR hour-12 to hour
STOR ' p.m. '+today to today
ELSE
STOR ' a.m. '+today to today
ENDI
IF hour=0
STOR 12 to hour
ENDI
IF min<10
STOR '0'+str(min,1) to minute
ELSE
STOR str(min,2) to minute
ENDI
STOR str(hour,2)+':'+minute+today to today
RETU
